Browse the Help Center for platform guides or API & Developers for integration docs.
curl --request POST \
--url https://open.beatpass.ca/api/v1/tracks/{id}/generate-license \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"license_type": "exclusive",
"usage_terms": "Commercial use allowed"
}
'{
"status": "success",
"license": {
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"track_id": 1,
"license_type": "exclusive"
}
}curl --request POST \
--url https://open.beatpass.ca/api/v1/tracks/{id}/generate-license \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"license_type": "exclusive",
"usage_terms": "Commercial use allowed"
}
'{
"status": "success",
"license": {
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"track_id": 1,
"license_type": "exclusive"
}
}API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Track ID
1
Was this page helpful?